Notus API
Liquidity pools

Get Liquidity Pool

Get liquidity pool by pool ID with aggregated stats

GET
/api/v1/liquidity/pools/{id}

Authorization

x-api-key
x-api-key<token>

In: header

Path Parameters

id*string

The unique identifier of the pool

Length1 <= length

Query Parameters

rangeInDays?integer

Number of days to aggregate pool statistics for. Must be between 1 and 365 days. Default is 30 days.

Range1 <= value <= 365
Default30

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/liquidity/pools/137-0x4CcD010148379ea531D6C587CfDd60180196F9b1"
{  "pool": {    "provider": {      "name": "XY",      "logoUrl": "https://assets.notus.team/Lifi.png",      "explorerURL": "https://explorer.li.fi"    },    "address": "0x88e6a0c2ddd26feeb64f039a2c41296fcb3f5640",    "chain": {      "id": 137,      "name": "POLYGON",      "logo": "https://logopolygon.com"    },    "fee": 0.05,    "totalValueLockedUSD": "10000.453",    "tokens": [      {        "name": "Wrapped Bitcoin",        "symbol": "WBTC",        "decimals": 18,        "address": "0x2f2a2543b76a4166549f7aab2e75bef0aefc5b0f",        "poolShareInPercentage": 50.5,        "poolShare": 1000.25,        "logo": "https://assets.notus.team/wbtc.png"      }    ],    "stats": {      "rangeInDays": 30,      "feesInUSD": "1500.75",      "volumeInUSD": "50000.25",      "transactionsCount": 1250    }  }}